Debian Bug report logs - #574976
RFP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "J.M.Roth" <jmroth@iip.lu>

Date: Mon, 22 Mar 2010 15:18:02 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#574976; Package wnpp. (Mon, 22 Mar 2010 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "J.M.Roth" <jmroth@iip.lu>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 22 Mar 2010 15:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "J.M.Roth" <jmroth@iip.lu>
To: Debian Bug Tracking System <submit@bugs.debian.org>, 541740@bugs.debian.org
Subject: ITP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0
Date: Mon, 22 Mar 2010 16:16:34 +0100
Package: wnpp
Severity: wishlist

Free, open source php parser that minimizes bandwidth usage. 
Great programming and wonderfully documented! 
Uses object oriented programming and PHP's built in XML extension to quickly and accurately parse ALL versions of RSS including 2.0. 
Many other parsers use regular expressions to find specific data within files, and are thus are limited to specific versions of RSS and are non-extensible. 
To keep the server load low, feeds to be parsed can be kept in a mySQL database on your own server with the format implied in the SQL statement. 
Pages will be served up without any server-side processing, and a cron job and be set up to call your page with the PHP code in it at desired intervals. 
All parsed results can be exported to an external file, so the parser doesn't have to get called everytime someone calls the page. 
Requires PHP's built-in XML extension available by default on all recent versions of PHP.

This package is required to fully debianize serendipity.
Having this package available would be part of closing #541740.

License: GPL

This is an older library but it seems to be still in use here and there.

URL: http://web.archive.org/web/20030402143013/http://www.readinged.com/onyx/rss/
URL: http://wikkawiki.org/downloads/onyx-rss.zip




Added tag(s) pending. Request was from Jean-Marc Roth <jmroth-guest@alioth.debian.org> to control@bugs.debian.org. (Mon, 29 Mar 2010 14:51:06 GMT) Full text and rfc822 format available.

Owner recorded as jmroth+debbug@iip.lu. Request was from jmroth+debbug@iip.lu to control@bugs.debian.org. (Thu, 22 Apr 2010 16:18:06 GMT) Full text and rfc822 format available.

Owner changed from jmroth+debbug@iip.lu to "J.M.Roth" <jmroth@iip.lu>. Request was from "J.M.Roth" <jmroth@iip.lu> to control@bugs.debian.org. (Thu, 22 Apr 2010 16:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "J.M.Roth" <jmroth@iip.lu>:
Bug#574976; Package wnpp. (Mon, 10 May 2010 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jmroth+debbug@iip.lu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "J.M.Roth" <jmroth@iip.lu>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 10 May 2010 14:51:05 GMT) Full text and rfc822 format available.


Message #16 received at 574976@bugs.debian.org (full text, mbox):

From: jmroth+debbug@iip.lu
To: 574976@bugs.debian.org, control@bugs.debian.org, 541740@bugs.debian.org
Date: Mon, 10 May 2010 16:48:43 +0200
tags 574976 wontfix
thanks

AFAIK:
- upstream is AWOL
- this package would contain ONE actual file
- it is not used anywhere else in Debian that we could find out

Therefore we have agreed to just keep this one file in the serendipity
package directly.

JM




Added tag(s) wontfix. Request was from jmroth+debbug@iip.lu to control@bugs.debian.org. (Mon, 10 May 2010 14:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "J.M.Roth" <jmroth@iip.lu>:
Bug#574976; Package wnpp. (Sat, 19 Feb 2011 18:01:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "J.M.Roth" <jmroth@iip.lu>. (Sat, 19 Feb 2011 18:01:58 GMT) Full text and rfc822 format available.

Message #23 received at 574976@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 574976@bugs.debian.org
Cc: control@bugs.debian.org
Subject: php-onyxrss: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:44 +0000
retitle 574976 RFP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0
noowner 574976
thanks

Hi,

This is an automatic email to change the status of php-onyxrss back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting php-onyxrss, please send a mail to
<control@bugs.debian.org> with:

 retitle 574976 ITP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0
 owner 574976 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <574976@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0' from 'ITP: php-onyxrss -- uses PHP's built-in XML extension to quickly and accurately parse ALL versions of RSS including 2.0' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:53 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "J.M.Roth" <jmroth@iip.lu>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:54 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 20:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:21:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.